library(biomaRt)
ensembl <- useMart("ensembl", dataset = "hsapiens_gene_ensembl")
mrna <- read.csv("C:/Users/Emre/Desktop/mrna.csv")
gene_list <- mrna$Gene_symbol
gene_list

ensembl_ids <- getBM(attributes = c("ensembl_gene_id", "external_gene_name"),
                     filters = "external_gene_name",
                     values = gene_list,
                     mart = ensembl)

print(ensembl_ids)

library(writexl)
write_xlsx(ensembl_ids, path = "C:/Users/Emre/Desktop/go.csv")


